Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::actions::ResetFormAction Class Reference
Inheritance diagram for foxit::pdf::actions::ResetFormAction:

## Public Member Functions
| ResetFormAction (const Action &action)
| Constructor, with parent class object. More...
WStringArray | GetFieldNames ()
| Get all field names from the array of current reset form action. More...
uint32 | GetFlags ()
| Get the flag value used for resetting. More...
void | SetFieldNames (const WStringArray &field_names)
| Set field name array. More...
void | SetFlags (uint32 flags)
| Set the flag value used for resetting. More...
Public Member Functions inherited from foxit::pdf::actions::Action
| Action (const Action &action)
| Constructor, with another action object. More...
| Action (const PDFDoc &document, objects::PDFDictionary *action_dict)
| Constructor, with parameters. More...
| ~Action ()
| Destructor.
objects::PDFDictionary * | GetDict () const
| Get PDF dictionary of current object. More...
PDFDoc | GetDocument ()
| Get the PDF document, to which current action belongs. More...
Action | GetSubAction (int index)
| Get a sub-action by index. More...
int | GetSubActionCount ()
| Get the count of sub-actions. More...
Type | GetType ()
| Get action type. More...
void | InsertSubAction (int index, const Action &sub_action)
| Insert a new sub-action to the location specified by index. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const Action &other) const
| Not equal operator. More...
Action & | operator= (const Action &other)
| Assign operator. More...
bool | operator== (const Action &other) const
| Equal operator. More...
void | RemoveAllSubActions ()
| Remove all the sub-actions. More...
void | RemoveSubAction (int index)
| Remove a sub-action, specified by index. More...
void | SetSubAction (int index, const Action &sub_action)
| Set a sub-action by index. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Additional Inherited Members
Public Types inherited from foxit::pdf::actions::Action
enum | NewWindowFlag { e_NewWindowFlagFalse = 0, e_NewWindowFlagTrue = 1, e_NewWindowFlagNone = 2 }
| Enumeration for new window flag. More...
enum | Type { e_TypeUnknown = 0, e_TypeGoto = 1, e_TypeGoToR = 2, e_TypeGoToE = 3, e_TypeLaunch = 4, e_TypeThread = 5, e_TypeURI = 6, e_TypeSound = 7, e_TypeMovie = 8, e_TypeHide = 9, e_TypeNamed = 10, e_TypeSubmitForm = 11, e_TypeResetForm = 12, e_TypeImportData = 13, e_TypeJavaScript = 14, e_TypeSetOCGState = 15, e_TypeRendition = 16, e_TypeTrans = 17, e_TypeGoTo3DView = 18 }
| Enumeration for action type. More...
Static Public Member Functions inherited from foxit::pdf::actions::Action
static Action | Create (const foxit::pdf::PDFDoc &document, Type action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Reset-form action is to set fields to their default values Class actions::ResetFormAction is derived from Action and offers functions to get/set reset-form action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ ResetFormAction()

foxit::pdf::actions::ResetFormAction::ResetFormAction | ( | const Action & | action | ) |
| explicit

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetFieldNames()

WStringArray foxit::pdf::actions::ResetFormAction::GetFieldNames | ( |  | ) |

Get all field names from the array of current reset form action.

A reset form action can have an array identifying which fields to reset or to exclude from resetting, depending on the flag value.

Returns
  An array of field names.

## ◆ GetFlags()

uint32 foxit::pdf::actions::ResetFormAction::GetFlags | ( |  | ) |

Get the flag value used for resetting.

Returns
  Flag value. Currently, the value would be :
  - 0: means to reset fields defined in the array.
  - 1: means to reset all fields except those defined in the array.

## ◆ SetFieldNames()

void foxit::pdf::actions::ResetFormAction::SetFieldNames | ( | const WStringArray & | field_names | ) |

Set field name array.

A reset form action can have an array identifying which fields to reset or to exclude from resetting, depending on the flag value.

Parameters

  [in] | field_names | An array of form fields' names, to identify which fields to reset or to exclude from resetting. Field name can be retrieved by function interform::Field::GetName.

Returns
  None.

## ◆ SetFlags()

void foxit::pdf::actions::ResetFormAction::SetFlags | ( | uint32 | flags | ) |

Set the flag value used for resetting.

Parameters

  [in] | flags | Flag value. Currently, valid values are: 0: means to reset fields defined in the array. 1: means to reset all fields except those defined in the array.

Returns
  None.